/* -*- C++ -*-
 *
 * This file is a part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2003-2006
 * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#include <string>
#include <iostream>

#include <lemon/concepts/path.h>
#include <lemon/concepts/graph.h>

#include <lemon/path.h>
#include <lemon/list_graph.h>

#include "test_tools.h"

using namespace std;
using namespace lemon;

void check_concepts() {
  checkConcept<concepts::Path<ListGraph>, concepts::Path<ListGraph> >();
  checkConcept<concepts::Path<ListGraph>, Path<ListGraph> >();
  checkConcept<concepts::Path<ListGraph>, SimplePath<ListGraph> >();
  checkConcept<concepts::Path<ListGraph>, StaticPath<ListGraph> >();
  checkConcept<concepts::Path<ListGraph>, ListPath<ListGraph> >();
}

int main() {
  check_concepts();  
  return 0;
}
